## xbrzscale 1.8

=== Makefile ===
all: xbrzscale

xbrz/xbrz.o: xbrz/xbrz.cpp xbrz/xbrz.h
	g++ -std=c++17 -c -o xbrz/xbrz.o xbrz/xbrz.cpp -DNDEBUG

libxbrzscale.o: libxbrzscale.cpp xbrz/xbrz.h
	g++ -std=c++17 -c -o libxbrzscale.o libxbrzscale.cpp `sdl2-config --cflags`

xbrzscale.o: xbrzscale.cpp libxbrzscale.h xbrz/xbrz.h
	g++ -std=c++17 -c -o xbrzscale.o xbrzscale.cpp `sdl2-config --cflags`

libxbrzscale.a: libxbrzscale.o xbrz/xbrz.o
	ar qc libxbrzscale.a libxbrzscale.o xbrz/xbrz.o

xbrzscale: xbrzscale.o libxbrzscale.a
	g++ -o xbrzscale xbrzscale.o libxbrzscale.a -lSDL2_image `sdl2-config --libs`

clean:
	rm -vf xbrzscale.o xbrz/xbrz.o libxbrzscale.o libxbrzscale.a xbrzscale

=== debian/changelog ===
xbrzscale (1.8-2) unstable; urgency=medium

  * Improve autopkgtest (check output is actually upscaled)
  * Fix version number in man page

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 16 Mar 2022 13:00:00 +0000

xbrzscale (1.8-1) unstable; urgency=medium

  * Initial release. Closes: #969652

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 14 Mar 2022 20:00:00 +0000

=== debian/control ===
Source: xbrzscale
Section: graphics
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: libsdl2-image-dev, debhelper-compat (=13)
Standards-Version: 4.6.0
Homepage: https://github.com/atheros/xbrzscale
Rules-Requires-Root: no

Package: xbrzscale
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intelligent graphics file upscaling tool
 Scale graphics files with the xBRZ algorithm.
 .
 New generation high-quality image upscaling filter.
 Better results than simple filters, especially with pixel art
 such as icons, glyphs, cartoons, game tiles etc.
 .
 Scales by integer factors from x2 up to x6.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS   = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2

%:
	dh $@

=== debian/tests/control ===
Tests: test1
Depends: @, pngcheck, imagemagick, grep
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
http://sf.net/xbrz/xBRZ_([0-9.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
